Subject: Re: bug#57837: 29.0.50; fit-window-to-buffer should reposition the buffer

From: Gregory Heytings <[email-masked]>
Date: Sat, 17 Sep 2022 07:10:30 +0000

>>>>>> Is that a problem? I mean, is it possible for the point to be 
>>>>>> invisible?
>>>>
>>>> No, Emacs does its best to ensure that point is always visible.
>>>
>>> is it possible for Emacs return nil from (pos-visible-in-window-p 
>>> (point))
>>
>> It is not impossible, but if it happens, it's a bug.
>
> Actually, it _is_ possible and is not a bug, but only as long as 
> redisplay didn't happen.
>

Indeed, I wrote too fast.  What I meant, in the context of the discussion, 
was: It is not impossible after redisplay, but if it happens, it's a bug.